/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */
#include "chunk.h"

void chunkRender(chunk_t *chunk, shader_t *shader) {
  // Coordinates of the chunk.
  float x, y, z;
  x = (chunk->x * CHUNK_WIDTH);
  y = (chunk->y * CHUNK_HEIGHT);
  z = (chunk->z * CHUNK_DEPTH);

  // Render the primitive
  shaderUsePosition(shader, x, y, z, 0, 0, 0);
  primitiveDraw(chunk->primitive, 0, chunk->primitive->indiceCount);
}