// Copyright (c) 2021 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include <stdint.h>
#include "../display/shader.h"
#include "../display/primitive.h"
#include "tile.h"

#define CHUNK_WIDTH 3
#define CHUNK_HEIGHT CHUNK_WIDTH
#define CHUNK_DEPTH CHUNK_HEIGHT

typedef struct {
  /** Absolute X Y Z chunklist coordinates, a */
  int32_t x, y, z;
  
  /** Tiles stored within the chunk. */
  tile_t *tiles;

  /** Primitive used for rendering the chunk */
  primitive_t *primitive;
} chunk_t;


/**
 * Render a given chunk.
 * 
 * @param chunk Chunk to render
 * @param
 */
void chunkRender(chunk_t *chunk, shader_t *shader);